# Flat JSON

{% hint style="warning" %}
**Deprecated Action**

This Action has been deprecated and is no longer supported. We recommend using the [JSON Transformation](/the-workspace/pipelines/actions/transformation/json-transformation.md) Action as its replacement.
{% endhint %}

Learn more about this Action in [this article](/the-workspace/pipelines/actions/transformation/flat-json.md).

<details>

<summary>v1.1.0</summary>

<mark style="background-color:purple;">**Released on**</mark> <mark style="background-color:purple;"></mark><mark style="background-color:purple;">05/22/2025</mark>

#### Bug Fixes

* Strings aren't unescaped when transforming JSON.

</details>

<details>

<summary>v1.0.0</summary>

<mark style="background-color:purple;">**Released on**</mark> <mark style="background-color:purple;"></mark><mark style="background-color:purple;">02/28/2025</mark>

* Added **Flatten level** parameter.
* Added **Separator** selector.
* Object arrays now extract each field separately.
* Added support for fields with default values.

</details>

<details>

<summary>v0.0.3</summary>

<mark style="background-color:purple;">**Released on**</mark> <mark style="background-color:purple;"></mark><mark style="background-color:purple;">07/12/2024</mark>

* Added flatten level.
* Separator selector included.
* New implementation for arrays:

from:

```
{
  "name": "John Doe",
  "age": 30,
  "address": {
    "street": "123 Main St",
    "city": "Anytown",
    "country": "USA"
  },
  "contacts": [
    {
      "type": "email",
      "value": "john.doe@example.com"
    },
    {
      "type": "phone",
      "value": "555-1234"
    }
  ]
}
```

to:

```
{
  "name": "John Doe",
  "age": 30,
  "address_street": "123 Main St",
  "address_city": "Anytown",
  "address_country": "USA",
  "contacts[0]_type": "email",
  "contacts[0]_value": "john.doe@example.com",
  "contacts[1]_type": "phone",
  "contacts[1]_value": "555-1234"
}
```

</details>

<details>

<summary>v0.0.1</summary>

<mark style="background-color:purple;">**Released on**</mark> <mark style="background-color:purple;"></mark><mark style="background-color:purple;">03/25/2024</mark>

Initial version

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onum.com/actions/flat-json.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
